[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.MouseLeave

Performs actions when the mouse pointer leaves the control.

## Declaration

Source position: comctrls.pp line 1982

`protected procedure TCustomUpDown.MouseLeave; override;`

## Description

MouseLeave is an overridden method in TCustomUpDown. It ensures that the inherited method, which signals the OnMouseLeave event, is called only once when the mouse pointer leaves the control or its Associate control. An internal member in the class instance is used to track whether the mouse pointer is in either of the controls.

## See also

TCustomUpDown.Associate |  | Control used to display and edit the Position for the control.
TControl.MouseLeave |  | Signals the OnMouseLeave event handler (when assigned).
TControl.OnMouseLeave |  | Event handler signalled when the mouse pointer has left the control.